<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Science and Engineering Ethics</title>
</head>

<style>
    hr {
        width: 500px;
        margin-left: 0px;
        color: lightgray;
        border-width: 1px;
       
    }

    p {
        font-size: 12px;

    }

    ol {
        font-size: 12px;
    }

    .second-line {
        margin-top: 16px;
        margin-bottom:15px;
        font-size: 14px;
        font-weight: bold;
    }
</style>

<body>


<p><em>Science and Engineering Ethics(2001) 7,231-238</em></p>
<hr class="solid">
<h2>Software Engineering Code of Ethics and <br>Professional Practice</h2>

<p class="second-line">IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional<br> Practices</p>

<hr class="solid">

<p><strong>Keywords:</strong>code of ethics, professional responsibility, software engineering</p>

<p><strong>PREAMBLE</strong></p>

<p>The short version of the code summarize aspirations at a high level of abstraction. The clauses that <br> are included in teh full version give examples and details of how these aspirations change the way we <br>act as software engineering professionals. Without the aspirations, the details can become legalistic<br> and tedious; withou the details, the aspirations can become high-sounding but empty; together, the<br> aspirations and teh details form a cohesive code.</p>

<p>Software engineers shall commit themselves to making the analysis, specifications, design,<br> development, testing, and mainteanance of software a beneficial and respected profession. In<br> accordance with their commitment to the health, safety and welfare of the public, software engineers<br> shall adhere to the following eight Principles:</p>

<p><strong>PRINCIPLES</strong></p>

<ol>
    <li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
    <li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their <br>client and employer, consistent with teh public interest.</li>
    <li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the<br> highest professional standards possible.</li>
    <li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional <br>judgement.</li>
    <li><em>Management.</em> Software engineering managers and leaders shall subscribe to the promote an <br>ethical approach to the management of software development and maintenance.</li>
    <li><em>Profession.</em> Software engineers shall advance the integrity and reputation of theprofession<br> consistent with the public interest.</li>
    <li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
    <li><em>Self.</em> Software engineers shall participate in lifelong learning regarding teh practice of their <br> profession and shall promote an ethical approach to the proactice of the profession.</li>
</ol>
</body>
</html>